package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleAuditE;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:25
 */
public interface VehicleAuditGateway {

    /**
     * 新增
     */
    Boolean add(VehicleAuditE vehicleAuditE);

    /**
     * 修改
     */
    Boolean update(VehicleAuditE vehicleAuditE);

    /**
     * 删除
     */
    Boolean deletedVehicleAuditById(Long id);

    Boolean deletedVehicleAuditByIds(Long[] id);

    void deletedVehicleAuditByApplyId(Long id);
}

